Page MenuHome

Boolean modifier does not work properly with a plane.
Closed, ArchivedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: GeForce GTX 1060 3GB/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 456.71

Blender Version
Broken: version: 2.92.0, branch: master, commit date: 2021-02-24 16:25, hash: rB02948a2cab44
Worked: (newest version of Blender that worked as expected)

Short description of error
Boolean modifier does not work with a plane.

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

Add plane
Add cube
locate both at 0,0,0
scale plane 2x
add boolean modifier to plane

use cube as object
use intersection

The result is that the plane becomes a fraction of the cube.

It should result in a plane that is smaller and is exactly inside the cube.

Event Timeline

This seems to be working correctly on the latest 3.0.0 Alpha, branch: master, commit date: 2021-05-06 06:44, hash: rB42e350b9a5fc. @Thomas Dobroth (doby) Could you try downloading the Alpha from https://builder.blender.org/download/ and see if it works?

Falk David (filedescriptor) changed the task status from Needs Triage to Needs Information from User.May 6 2021, 9:40 AM

It appears to work correctly in the alpha version:

To be more specific, for 2.92.0 it works fine for the "fast" boolean but incorrectly for the "exact".

So the workaround is to use "Fast: for 2.92 and wait for the 3.0 release?

I am not sure how to use the add action so it probably needs to be adjusted.

Tom

It should be working in 2.93 beta also. So that will be released sooner.
In any case, I will close this task since this issue has been resolved.